JUCE: TextEditor::Listener Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TextEditor::Listener Class Reference
juce_gui_basics » widgets

Receives callbacks from a TextEditor component when it changes. More...

`#include <juce_TextEditor.h>`

Inheritance diagram for TextEditor::Listener:

## Public Member Functions
virtual | ~Listener ()=default
| Destructor.
virtual void | textEditorTextChanged (TextEditor &)
| Called when the user changes the text in some way.
virtual void | textEditorReturnKeyPressed (TextEditor &)
| Called when the user presses the return key.
virtual void | textEditorEscapeKeyPressed (TextEditor &)
| Called when the user presses the escape key.
virtual void | textEditorFocusLost (TextEditor &)
| Called when the text editor loses focus.

## Detailed Description

Receives callbacks from a TextEditor component when it changes.

See also
  TextEditor::addListener

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual TextEditor::Listener::~Listener | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ textEditorTextChanged()

virtual void TextEditor::Listener::textEditorTextChanged | ( | TextEditor & |  | ) |
| virtual

Called when the user changes the text in some way.

Reimplemented in Label.

## ◆ textEditorReturnKeyPressed()

virtual void TextEditor::Listener::textEditorReturnKeyPressed | ( | TextEditor & |  | ) |
| virtual

Called when the user presses the return key.

Reimplemented in Label.

## ◆ textEditorEscapeKeyPressed()

virtual void TextEditor::Listener::textEditorEscapeKeyPressed | ( | TextEditor & |  | ) |
| virtual

Called when the user presses the escape key.

Reimplemented in Label.

## ◆ textEditorFocusLost()

virtual void TextEditor::Listener::textEditorFocusLost | ( | TextEditor & |  | ) |
| virtual

Called when the text editor loses focus.

Reimplemented in Label.

The documentation for this class was generated from the following file:

- juce_TextEditor.h